<?php
// Netify Firewall Agent
// Copyright (C) 2015-2016 eGloo Incorporated <http://www.egloo.ca>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

// Netify protocol list, generated using the following:
// # netifyd -P \
// #   egrep -v '(Placeholder|Uninitialized)' |\
// #   egrep -v '^\/' |\
// #   awk -F: '{ gsub(/ /, "", $1); gsub(/ /, "", $2); printf "\t%d => \"%s\",\n",$1,$2 }' \|
// #   sed -e 's/ / /g'
$nfa_protocols = array(
    0 => "Unknown",
    1 => "FTP CONTROL",
    2 => "POP3",
    3 => "SMTP",
    4 => "IMAP",
    5 => "DNS",
    6 => "IPP",
    7 => "HTTP",
    8 => "MDNS",
    9 => "NTP",
    10 => "NetBIOS",
    11 => "NFS",
    12 => "SSDP",
    13 => "BGP",
    14 => "SNMP",
    15 => "XDMCP",
    16 => "SMB",
    17 => "Syslog",
    18 => "DHCP",
    19 => "PostgreSQL",
    20 => "MySQL",
    22 => "Direct Download Link",
    23 => "POPS",
    24 => "AppleJuice",
    25 => "DirectConnect",
    26 => "Socrates",
    27 => "COAP",
    28 => "VMware",
    29 => "SMTPS",
    30 => "Filetopia",
    31 => "UBNTAC2",
    32 => "Kontiki",
    33 => "OpenFT",
    34 => "FastTrack",
    35 => "Gnutella",
    36 => "eDonkey",
    37 => "BitTorrent",
    38 => "EPP",
    39 => "AVI",
    40 => "Flash",
    41 => "OggVorbis",
    42 => "MPEG",
    43 => "QuickTime",
    44 => "RealMedia",
    45 => "WindowsMedia",
    46 => "MMS",
    47 => "Xbox",
    48 => "QQ",
    49 => "Move",
    50 => "RTSP",
    51 => "IMAPS",
    52 => "IceCast",
    53 => "PPLive",
    54 => "PPStream",
    55 => "Zattoo",
    56 => "ShoutCast",
    57 => "Sopcast",
    58 => "Tvants",
    59 => "TVUplayer",
    60 => "HTTPDownload",
    61 => "QQLive",
    62 => "Thunder",
    63 => "Soulseek",
    64 => "SSL No Cert",
    65 => "IRC",
    66 => "Ayiya",
    67 => "Unencryped Jabber",
    69 => "Oscar",
    71 => "BattleField",
    72 => "Quake",
    73 => "VRRP",
    74 => "Steam",
    75 => "HalfLife2",
    76 => "WorldOfWarcraft",
    77 => "Telnet",
    78 => "STUN",
    79 => "IPsec",
    80 => "GRE",
    81 => "ICMP",
    82 => "IGMP",
    83 => "EGP",
    84 => "SCTP",
    85 => "OSPF",
    86 => "IP in IP",
    87 => "RTP",
    88 => "RDP",
    89 => "VNC",
    90 => "PcAnywhere",
    91 => "SSL",
    92 => "SSH",
    93 => "Usenet",
    94 => "MGCP",
    95 => "IAX",
    96 => "TFTP",
    97 => "AFP",
    98 => "Stealthnet",
    99 => "Aimini",
    100 => "SIP",
    101 => "TruPhone",
    102 => "ICMPV6",
    103 => "DHCPV6",
    104 => "Armagetron",
    105 => "Crossfire",
    106 => "Dofus",
    107 => "Fiesta",
    108 => "Florensia",
    109 => "Guildwars",
    110 => "HTTP Application ActiveSync",
    111 => "Kerberos",
    112 => "LDAP",
    113 => "MapleStory",
    114 => "MsSQL-TDS",
    115 => "PPTP",
    116 => "Warcraft3",
    117 => "WorldOfKungFu",
    121 => "Dropbox",
    127 => "DCE RPC",
    128 => "NetFlow",
    129 => "sFlow",
    130 => "HTTP Connect",
    131 => "HTTP Proxy",
    132 => "Citrix",
    136 => "SkyFile PrePaid",
    137 => "SkyFile Rudics",
    138 => "SkyFile PostPaid",
    139 => "Citrix Online",
    141 => "Webex",
    144 => "Viber",
    146 => "Radius",
    148 => "TeamViewer",
    150 => "LotusNotes",
    151 => "SAP",
    152 => "GTP",
    153 => "UPnP",
    154 => "LLMNR",
    155 => "RemoteScan",
    157 => "WebM",
    158 => "H323",
    159 => "OpenVPN",
    160 => "NOE",
    161 => "CiscoVPN",
    162 => "TeamSpeak",
    164 => "CiscoSkinny",
    165 => "RTCP",
    166 => "RSYNC",
    167 => "Oracle",
    168 => "Corba",
    169 => "UbuntuONE",
    170 => "Whois-DAS",
    171 => "Collectd",
    172 => "SOCKS",
    173 => "Lync",
    174 => "RTMP",
    175 => "FTP DATA",
    177 => "ZeroMQ",
    181 => "Megaco",
    182 => "Redis",
    183 => "Pando Media Booster",
    184 => "VHUA",
    185 => "Telegram",
    188 => "QUIC",
    189 => "WhatsAppVoice",
    190 => "EAQ",
    194 => "KakaoTalk Voice",
    198 => "MPEG TS",
    201 => "GoogleHangout",
    204 => "BJNP",
    205 => "1kxun",
    207 => "SMPP",
    213 => "Starcraft",
    214 => "Teredo",
    215 => "HotspotShield",
    216 => "HEP",
    222 => "MQTT",
    223 => "RX",
    226 => "Git",
    227 => "DRDA",
    228 => "netify.opendns",
    229 => "netify.steam",
    230 => "netify.snapchat",
    231 => "netify.windows-update",
    232 => "netify.apple",
    233 => "netify.doubleclick",
    234 => "netify.wikipedia",
    235 => "netify.youtube",
    236 => "netify.amazon",
    237 => "netify.github",
    238 => "netify.google-analytics",
    239 => "netify.skype",
    240 => "netify.google-hangouts",
    241 => "netify.office-365",
    242 => "netify.spotify",
    243 => "netify.dropbox",
    244 => "netify.hotspot-shield",
    245 => "netify.apple-itunes",
    246 => "netify.google-apps",
    247 => "netify.instagram",
    248 => "netify.microsoft",
    249 => "netify.microsoft-onedrive",
    250 => "netify.ebay",
    251 => "netify.gmail",
    252 => "netify.cloudflare",
    253 => "netify.google",
    254 => "netify.tor",
    255 => "netify.netflix",
    256 => "netify.orange-cinema-series",
    257 => "netify.quickplay",
    258 => "netify.yahoo",
    259 => "netify.facebook",
    260 => "netify.whatsapp",
    261 => "netify.pandora",
    262 => "netify.twitter",
    263 => "netify.apple-icloud",
    264 => "netify.deezer",
    265 => "netify.tuenti",
    266 => "netify.kakaotalk",
    267 => "netify.qq",
    268 => "netify.twitch",
    269 => "netify.webex",
    270 => "netify.weibo",
    271 => "netify.vevo",
    272 => "netify.waze",
    273 => "netify.cnn",
    274 => "netify.last-fm",
    275 => "netify.msn",
);

// vi: expandtab shiftwidth=4 softtabstop=4 tabstop=4
